Covendocs
API ReferenceSessionsFetch one session GET

Fetch one session

Fetch the current state of a single session by id.

1 min read

GET
/sessions/{id}

Path Parameters

id*string

The session id (stable across daemon restarts).

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/sessions/session-1"
{
  "id": "session-1",
  "project_root": "/Users/example/project",
  "harness": "codex",
  "title": "Fix failing tests",
  "status": "running",
  "exit_code": null,
  "archived_at": null,
  "created_at": "2026-05-09T06:43:00.000Z",
  "updated_at": "2026-05-09T06:43:05.000Z"
}
{
  "error": {
    "code": "session_not_found",
    "message": "Session was not found.",
    "details": {
      "sessionId": "session-1"
    }
  }
}
{
  "error": {
    "code": "internal_error",
    "message": "Unexpected internal daemon error.",
    "details": {}
  }
}
Was this page helpful?No